Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
openjpeg
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
FrankRizz0
l33t
l33t


Joined: 29 Nov 2006
Posts: 615

PostPosted: Sat Oct 14, 2017 11:23 pm    Post subject: openjpeg Reply with quote

Evening all!

Running into a problem with this package (media-libs/openjpeg-2.3.0). No idea how to get past it, below is the output of emerge:

https://paste.pound-python.org/show/jn6h2y5Tj5Jg2DmuG4CQ/

Thanks in advance for any assistance.

[Moderator edit: changed [code] tag to [url] tag to make pastebin URL a link. -Hu]
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3493
Location: Germany

PostPosted: Sun Oct 15, 2017 2:17 am    Post subject: Reply with quote

Hi,

from your pastebin:
Code:
 * Package:    media-libs/openjpeg-2.3.0
 * Repository: gentoo
 * Maintainer: graphics[edit]gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux static-libs userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking openjpeg-2.3.0.tar.gz to /var/tmp/portage/media-libs/openjpeg-2.3.0/work
>>> Source unpacked in /var/tmp/portage/media-libs/openjpeg-2.3.0/work
>>> Preparing source in /var/tmp/portage/media-libs/openjpeg-2.3.0/work/openjpeg-2.3.0 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/openjpeg-2.3.0/work/openjpeg-2.3.0 ...
 * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
 * cmake-utils_src_prepare has not been run, please open a bug on https://bugs.gentoo.org/

[...]

-- Configuring done
CMake Error: INSTALL(EXPORT) given unknown export "OpenJPEGTargets"
-- Generating done
-- Build files have been written to: /var/tmp/portage/media-libs/openjpeg-2.3.0/work/openjpeg-2.3.0-abi_x86_64.amd64_static
 * ERROR: media-libs/openjpeg-2.3.0::gentoo failed (configure phase):
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line  115:  Called src_configure
 *   environment, line 3544:  Called cmake-multilib_src_configure
 *   environment, line  716:  Called multilib-minimal_src_configure
 *   environment, line 2644:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *   environment, line 2858:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 2505:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 2503:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *   environment, line  492:  Called multilib-minimal_abi_src_configure
 *   environment, line 2638:  Called multilib_src_configure
 *   environment, line 3081:  Called cmake-utils_src_configure
 *   environment, line  887:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of `emerge --info '=media-libs/openjpeg-2.3.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/openjpeg-2.3.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/openjpeg-2.3.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/openjpeg-2.3.0/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/openjpeg-2.3.0/work/openjpeg-2.3.0-abi_x86_64.amd64_static'
 * S: '/var/tmp/portage/media-libs/openjpeg-2.3.0/work/openjpeg-2.3.0'


Here is already a Bug 634144 reported.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19663
Location: here

PostPosted: Sun Oct 15, 2017 7:43 am    Post subject: Reply with quote

You (or another package) need static lib version of this package? If no you can remove static-libs use flags
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Oniryczny
Guru
Guru


Joined: 01 Dec 2011
Posts: 381
Location: Poland

PostPosted: Sun Oct 15, 2017 5:38 pm    Post subject: Reply with quote

I had the same issue
and with -static-libs it compilled succesfully
_________________
cogito ergo sum
Back to top
View user's profile Send private message
ilnanny
n00b
n00b


Joined: 17 Jul 2017
Posts: 41
Location: Italy/Taranto

PostPosted: Sun Oct 15, 2017 6:43 pm    Post subject: Reply with quote

Oniryczny wrote:
I had the same issue
and with -static-libs it compilled succesfully



if you have installed version 2.1, you can not upgrade. I solved by removing static-libs from make.conf
_________________
== Lila-HD-icon-theme ==
https://github.com/ilnanny/Lila-HD-icon-theme
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6525
Location: Austria

PostPosted: Sun Oct 15, 2017 6:44 pm    Post subject: Reply with quote

why do you have static-libs in make.conf in the first place?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
artbody
Guru
Guru


Joined: 15 Sep 2006
Posts: 411
Location: LB

PostPosted: Thu Oct 19, 2017 7:04 am    Post subject: Reply with quote

asturm wrote:
why do you have static-libs in make.conf in the first place?

:lol: good question

i run in the same problem

package.use
Code:
>=media-libs/openjpeg-2.3.0 -static-libs

solved it OK

OK :oops: i've now eliminated static-libs from the make.conf file
this gives 298 reinstalled packages

THX :wink:
_________________
Samsung 245B 1920x1200 GeForce GT710
4.12.12-gentoo #1 SMP 2017 DEZ 06 x86_64 AMD FX(tm)-8350 Eight-Core Processor AuthenticAMD GNU/Linux
WM : E16
achim
Back to top
View user's profile Send private message
daniel.santos
n00b
n00b


Joined: 05 Jun 2007
Posts: 45

PostPosted: Thu Mar 01, 2018 1:41 am    Post subject: Reply with quote

asturm wrote:
why do you have static-libs in make.conf in the first place?


The answer is usually so that you have static libs available. I don't understand why this kind of question gets asked. If it isn't going to be supported, then why is the USE flag there? Sometimes I need to build something and send it to somebody and tell them to run it and that's one thing static libs are for. I don't turn these flags on because I like pain. Sorry for my bitchiness.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 12840

PostPosted: Thu Mar 01, 2018 2:39 am    Post subject: Reply with quote

It is supported when packages can handle it. His question may make more sense with a bit of added emphasis:
asturm wrote:
why do you have static-libs in make.conf in the first place?
(Underline emphasis mine.)

Globally enabling static-libs is almost always not what you want. Most people don't need static-libs at all. For those that do (and are willing to deal with the incidental licensing fun that causes), it should be enabled only for those packages where you need it, not enabled for everything in the system.
Back to top
View user's profile Send private message
gentoorockerfr
Apprentice
Apprentice


Joined: 25 May 2012
Posts: 201

PostPosted: Tue Mar 06, 2018 11:55 pm    Post subject: Reply with quote

thank you

i saw it in another post..static-libs is a problem!

so for the time i am waiting to deep update my world!
Lets see!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum